Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester.parser
Class XercesParser

    java.lang.Object
      org.apache.commons.digester.parser.XercesParser

Deprecated. Create an XMLParser instance yourself, configure validation appropriately, and pass it as a parameter to the `Digester` constructor, or use `Digester.setXMLSchema(Schema)` for validation.

    public class XercesParser

extends Object

Create a `SAXParser` based on the underlying Xerces version. Currently, Xerces 2.3 and up doesn't implement schema validation the same way 2.1 was. In other to support schema validation in a portable way between parser, some features/properties need to be set.

Since:
  1.6

Field Summary
`protected static String` | `JAXP_SCHEMA_LANGUAGE` Deprecated. The JAXP 1.2 property to set up the schemaLanguage used.
`protected static org.apache.commons.logging.Log` | `log` Deprecated. The Log to which all SAX event related logging calls will be made.
`protected static float` | `version` Deprecated. A `float` representing the underlying Xerces version
`protected static String` | `versionNumber` Deprecated. The current Xerces version.
`protected static String` | `XERCES_DYNAMIC` Deprecated. Xerces dynamic validation property
`protected static String` | `XERCES_SCHEMA` Deprecated. Xerces schema validation property

Constructor Summary
`XercesParser()` Deprecated.

Method Summary
`static SAXParser` | `newSAXParser(Properties properties)` Deprecated. Create a `SAXParser` based on the underlying `Xerces` version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Deprecated.
  The Log to which all SAX event related logging calls will be made.

### JAXP_SCHEMA_LANGUAGE

    protected static String JAXP_SCHEMA_LANGUAGE

  Deprecated.
  The JAXP 1.2 property to set up the schemaLanguage used.

### XERCES_DYNAMIC

    protected static String XERCES_DYNAMIC

  Deprecated.
  Xerces dynamic validation property

### XERCES_SCHEMA

    protected static String XERCES_SCHEMA

  Deprecated.
  Xerces schema validation property

### version

    protected static float version

  Deprecated.
  A `float` representing the underlying Xerces version

### versionNumber

    protected static String versionNumber

  Deprecated.
  The current Xerces version.

Constructor Detail

### XercesParser

    public XercesParser()

  Deprecated.

Method Detail

### newSAXParser

    public static SAXParser newSAXParser(Properties properties)
                                  throws ParserConfigurationException,
                                         SAXException,
                                         SAXNotSupportedException

  Deprecated.
  Create a `SAXParser` based on the underlying `Xerces` version.

  Parameters:
    `properties` - parser specific properties/features
  Returns:
    an XML Schema/DTD enabled `SAXParser`
  Throws:
    `ParserConfigurationException`
    `SAXException`
    `SAXNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.